Last Comment Bug 665040 - find -not is not posix compliant
: find -not is not posix compliant
Status: RESOLVED FIXED
[fixed-in-tracemonkey]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: Other OpenBSD
: -- normal (vote)
: ---
Assigned To: general
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-17 10:31 PDT by Landry Breuil (:gaston)
Modified: 2011-06-20 17:09 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use ! instead of -not to be posix-friendly (1.23 KB, patch)
2011-06-17 10:33 PDT, Landry Breuil (:gaston)
khuey: review+
Details | Diff | Review
find -not is not posix (1.28 KB, patch)
2011-06-17 15:48 PDT, Landry Breuil (:gaston)
khuey: review+
Details | Diff | Review

Description Landry Breuil (:gaston) 2011-06-17 10:31:59 PDT
in js/src/Makefile.in, find -not is used, which is a non-posix option. That fails on OpenBSD with 'find : -not : unknown option'. '!' is posix.
Comment 1 Landry Breuil (:gaston) 2011-06-17 10:33:23 PDT
Created attachment 540085 [details] [diff] [review]
Use ! instead of -not to be posix-friendly

Untested... but should be correct, right ?
Comment 2 Kyle Huey [:khuey] (khuey@mozilla.com) (Away until 6/13) 2011-06-17 11:04:27 PDT
Comment on attachment 540085 [details] [diff] [review]
Use ! instead of -not to be posix-friendly

Looks fine.  Push it to tryserver to make sure the builds complete before requesting checkin?
Comment 3 Landry Breuil (:gaston) 2011-06-17 15:48:06 PDT
Created attachment 540158 [details] [diff] [review]
find -not is not posix

updated patch, previous one didn't apply. This one replaces two -not occurences.

Pushed to try server as http://hg.mozilla.org/try/rev/c848adab43b6
Comment 4 Landry Breuil (:gaston) 2011-06-18 00:25:40 PDT
http://tbpl.mozilla.org/?tree=Try&rev=c848adab43b6

Builds were correct, but there's been three oranges and a purple..
Comment 5 Landry Breuil (:gaston) 2011-06-18 23:16:37 PDT
Not sure about the try results, but setting checkin-needed as the builds themselves were ok
Comment 6 Paul Biggar 2011-06-20 11:51:54 PDT
(In reply to comment #4)
> http://tbpl.mozilla.org/?tree=Try&rev=c848adab43b6
> 
> Builds were correct, but there's been three oranges and a purple..

Those are nothing to worry about, any errors this brings up would lead to an orange B (this code is run as part of |make check|, which runs after the build in the B section - build errors are red, test errors are orange).

I'll push for you in a moment.
Comment 7 Landry Breuil (:gaston) 2011-06-20 12:09:34 PDT
(In reply to comment #6)
> (In reply to comment #4)
> > http://tbpl.mozilla.org/?tree=Try&rev=c848adab43b6
> > 
> > Builds were correct, but there's been three oranges and a purple..
> 
> Those are nothing to worry about, any errors this brings up would lead to an
> orange B (this code is run as part of |make check|, which runs after the
> build in the B section - build errors are red, test errors are orange).

Oh i'm aware of all that thanks, but i just wondered if everything had to be really green before adding checkin-needed.

> I'll push for you in a moment.

Thanks!
Comment 8 Paul Biggar 2011-06-20 12:24:40 PDT
http://hg.mozilla.org/tracemonkey/rev/8c1ddbd41297



(In reply to comment #7)
> Oh i'm aware of all that thanks, but i just wondered if everything had to be
> really green before adding checkin-needed.

Not until the orange factor is low enough: http://brasstacks.mozilla.com/orangefactor/
Comment 9 Chris Leary [:cdleary] (not checking bugmail) 2011-06-20 17:09:47 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/8c1ddbd41297

Note You need to log in before you can comment on or make changes to this bug.